const std = @import("std");
const Backlog = @import("Backlog");

pub fn build(b: *std.Build) void {
    const target = b.standardTargetOptions(.{});
    const optimize = b.standardOptimizeOption(.{});

    var blbuild = Backlog.init(b, .{
        .target = target,
        .optimize = optimize,
    });

    _ = blbuild.addProgram(.{
        .name = "sampleGame",
        .desc = "sdl3 project sample",
        .root_source_file = b.path("sampleGame/main.zig"),
    });
}
